Index: projects/DailyDrillingReport_1.2/XML/HTMLreport/WITSML_drillReport_profiled_schema_2011_01_29.xsd
===================================================================
--- projects/DailyDrillingReport_1.2/XML/HTMLreport/WITSML_drillReport_profiled_schema_2011_01_29.xsd (revision 142)
+++ projects/DailyDrillingReport_1.2/XML/HTMLreport/WITSML_drillReport_profiled_schema_2011_01_29.xsd (revision 146)
@@ -1800,12 +1712,12 @@
 			</xsd:element>
 			<xsd:element name="mdDiaHoleStart" type="witsml:measuredDepthCoord" minOccurs="0" maxOccurs="1"
-				 sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17659230">
+         sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17659230">
 				<xsd:annotation>
 					<xsd:documentation>The measured depth to the start of the current hole diameter.</xsd:documentation>
 				</xsd:annotation>
 			</xsd:element>
-			<xsd:element name="diaPilot" type="witsml:lengthMeasureInch" minOccurs="0" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17659350">
+			<xsd:element name="diaPilot" type="witsml:lengthMeasureInch" minOccurs="0" maxOccurs="1"
+         sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17659350">
 				<!--PROFILE: Changed type from witsml:lengthMeasure to witsml:lengthMeasureInch for element diaPilot.-->
-
 				<xsd:annotation>
 					<xsd:documentation>Pilot hole nominal inside diameter at reporting time.</xsd:documentation>
@@ -1813,5 +1725,5 @@
 			</xsd:element>
 			<xsd:element name="mdDiaPilotPlan" type="witsml:measuredDepthCoord" minOccurs="0" maxOccurs="1"
-				 sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17851160">
+         sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17851160">
 				<xsd:annotation>
 					<xsd:documentation>The planned measured depth of the pilot hole.</xsd:documentation>
@@ -1819,20 +1731,23 @@
 			</xsd:element>
 			<xsd:element name="tvdDiaPilotPlan" type="witsml:wellVerticalDepthCoord" minOccurs="0" maxOccurs="1"
-				 sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17660205">
+         sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17660205">
 				<xsd:annotation>
 					<xsd:documentation>The planned true vertical depth of the pilot hole.</xsd:documentation>
 				</xsd:annotation>
 			</xsd:element>
-			<xsd:element name="typeWellbore" type="witsml:WellboreType" minOccurs="0" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17660325">
+			<xsd:element name="typeWellbore" type="witsml:WellboreType" minOccurs="0" maxOccurs="1"
+         sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17660325">
 				<xsd:annotation>
 					<xsd:documentation>Type of wellbore.</xsd:documentation>
 				</xsd:annotation>
 			</xsd:element>
-			<xsd:element name="mdKickoff" type="witsml:measuredDepthCoord" minOccurs="0" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17660400">
+			<xsd:element name="mdKickoff" type="witsml:measuredDepthCoord" minOccurs="0" maxOccurs="1"
+         sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17660400">
 				<xsd:annotation>
 					<xsd:documentation>Measured depth to the kickoff point of the wellbore.</xsd:documentation>
 				</xsd:annotation>
 			</xsd:element>
-			<xsd:element name="tvdKickoff" type="witsml:measuredDepthCoord" minOccurs="0" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17850980">
+			<xsd:element name="tvdKickoff" type="witsml:measuredDepthCoord" minOccurs="0" maxOccurs="1"
+         sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17850980">
 				<xsd:annotation>
 					<xsd:documentation>True vertical depth to the kickoff point of the wellbore.</xsd:documentation>
@@ -1840,5 +1755,6 @@
 			</xsd:element>
 			<!--PROFILE: Deleted element parentWellbore.-->
-			<xsd:element name="strengthForm" type="witsml:densityMeasure" minOccurs="0" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17659800">
+			<xsd:element name="strengthForm" type="witsml:densityMeasure" minOccurs="0" maxOccurs="1"
+         sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17659800">
 				<xsd:annotation>
 					<xsd:documentation>The measured formation strength. This should be the final measurement before the end of the report period.</xsd:documentation>
@@ -1846,5 +1762,5 @@
 			</xsd:element>
 			<xsd:element name="mdStrengthForm" type="witsml:measuredDepthCoord" minOccurs="0" maxOccurs="1"
-				 sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17660055">
+         sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17660055">
 				<xsd:annotation>
 					<xsd:documentation>The measured depth of the formation strength measuement.</xsd:documentation>
@@ -1852,17 +1768,18 @@
 			</xsd:element>
 			<xsd:element name="tvdStrengthForm" type="witsml:wellVerticalDepthCoord" minOccurs="0" maxOccurs="1"
-				 sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17850755">
+         sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17850755">
 				<xsd:annotation>
 					<xsd:documentation>The true vertical depth of the formation strength measuement.</xsd:documentation>
 				</xsd:annotation>
 			</xsd:element>
-			<xsd:element name="diaCsgLast" type="witsml:lengthMeasureInch" minOccurs="0" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17659470">
+			<xsd:element name="diaCsgLast" type="witsml:lengthMeasureInch" minOccurs="0" maxOccurs="1"
+         sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17659470">
 				<!--PROFILE: Changed type from witsml:lengthMeasure to witsml:lengthMeasureInch for element diaCsgLast.-->
-
 				<xsd:annotation>
 					<xsd:documentation>Diameter of last casing.</xsd:documentation>
 				</xsd:annotation>
 			</xsd:element>
-			<xsd:element name="mdCsgLast" type="witsml:measuredDepthCoord" minOccurs="0" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17659755">
+			<xsd:element name="mdCsgLast" type="witsml:measuredDepthCoord" minOccurs="0" maxOccurs="1"
+         sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17659755">
 				<xsd:annotation>
 					<xsd:documentation>Measured depth of last casing.</xsd:documentation>
@@ -1870,44 +1787,49 @@
 			</xsd:element>
 			<xsd:element name="tvdCsgLast" type="witsml:wellVerticalDepthCoord" minOccurs="0" maxOccurs="1"
-				 sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17850890">
+         sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17850890">
 				<xsd:annotation>
 					<xsd:documentation>True vertical depth of last casing.</xsd:documentation>
 				</xsd:annotation>
 			</xsd:element>
-			<xsd:element name="presTestType" type="witsml:PresTestType" minOccurs="0" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17658975">
+			<xsd:element name="presTestType" type="witsml:PresTestType" minOccurs="0" maxOccurs="1"
+         sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17658975">
 				<xsd:annotation>
 					<xsd:documentation>The type of pressure test that was run during this reporting period.</xsd:documentation>
 				</xsd:annotation>
 			</xsd:element>
-			<xsd:element name="mdPlanned" type="witsml:measuredDepthCoord" minOccurs="0" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17850395">
+			<xsd:element name="mdPlanned" type="witsml:measuredDepthCoord" minOccurs="0" maxOccurs="1"
+         sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17850395">
 				<xsd:annotation>
 					<xsd:documentation>Measured depth of plan for this day number (report period).</xsd:documentation>
 				</xsd:annotation>
 			</xsd:element>
-			<xsd:element name="distDrill" type="witsml:lengthMeasure" minOccurs="0" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17850485">
+			<xsd:element name="distDrill" type="witsml:lengthMeasure" minOccurs="0" maxOccurs="1"
+         sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17850485">
 				<xsd:annotation>
 					<xsd:documentation>Distance drilled during this reporting period. This should be measured along the centerline of the wellbore.</xsd:documentation>
 				</xsd:annotation>
 			</xsd:element>
-			<xsd:element name="msl" type="witsml:lengthMeasure" minOccurs="0" maxOccurs="1">
-				<xsd:annotation>
-					<xsd:documentation>Water Depth MSL (m).</xsd:documentation>
-				</xsd:annotation>
-			</xsd:element>
-			<xsd:element name="elevKelly" type="witsml:wellElevationCoord" minOccurs="0" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17850575">
+			<xsd:element name="elevKelly" type="witsml:wellElevationCoord" minOccurs="0" maxOccurs="1"
+         sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17850575">
 				<xsd:annotation>
 					<xsd:documentation>Elevation of the rotary kelly bushing.</xsd:documentation>
 				</xsd:annotation>
 			</xsd:element>
-			<xsd:element name="sum24Hr" type="witsml:commentString" minOccurs="1" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17658390">
+			<xsd:element name="waterDepth" type="witsml:lengthMeasureMetre" minOccurs="0" maxOccurs="1">
+				<!-- PROFILE: Added element waterDepth -->
+				<xsd:annotation>
+					<xsd:documentation>Water depth in Mean sea level (m).</xsd:documentation>
+				</xsd:annotation>
+			</xsd:element>
+			<xsd:element name="sum24Hr" type="witsml:commentString" minOccurs="1" maxOccurs="1"
+         sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17658390">
 				<!--PROFILE: Changed minOccurs from 0 to 1 for element sum24Hr.-->
-
 				<xsd:annotation>
 					<xsd:documentation>A summary that sumarizes the activities performed and the status of the ongoing activities from the reporting period.</xsd:documentation>
 				</xsd:annotation>
 			</xsd:element>
-			<xsd:element name="forecast24Hr" type="witsml:commentString" minOccurs="1" maxOccurs="1" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17658465">
+			<xsd:element name="forecast24Hr" type="witsml:commentString" minOccurs="1" maxOccurs="1"
+         sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17658465">
 				<!--PROFILE: Changed minOccurs from 0 to 1 for element forecast24Hr.-->
-
 				<xsd:annotation>
 					<xsd:documentation>A summary that sumarizes the planned activities the next reporting period.</xsd:documentation>
@@ -1915,9 +1837,38 @@
 			</xsd:element>
 			<xsd:element name="ropCurrent" type="witsml:velocityMeasureMetresPerHour" minOccurs="0" maxOccurs="1"
-				 sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17850095">
+         sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17850095">
 				<!--PROFILE: Changed type from witsml:velocityMeasure to witsml:velocityMeasureMetresPerHour for element ropCurrent.-->
-
 				<xsd:annotation>
 					<xsd:documentation>Rate of penetration at the end of the reporting period.</xsd:documentation>
+				</xsd:annotation>
+			</xsd:element>
+			<xsd:element name="tightWell" type="witsml:logicalBoolean" minOccurs="0" maxOccurs="1">
+				<!-- PROFILE: Added element thightWell -->
+				<xsd:annotation>
+					<xsd:documentation>Indicates if a well is tight or not.</xsd:documentation>
+				</xsd:annotation>
+			</xsd:element>
+			<xsd:element name="hpht" type="witsml:logicalBoolean" minOccurs="0" maxOccurs="1">
+				<!-- PROFILE: Added element hpht -->
+				<xsd:annotation>
+					<xsd:documentation>Indicates if a wellbore is classified as HPHT (High Pressure - High Temperature) or not.</xsd:documentation>
+				</xsd:annotation>
+			</xsd:element>
+			<xsd:element name="avgPresBH" type="witsml:pressureMeasurePsig" minOccurs="0" maxOccurs="1">
+				<!-- PROFILE: Added element avgPresBH -->
+				<xsd:annotation>
+					<xsd:documentation>Averagae bottomhole pressure (psig).</xsd:documentation>
+				</xsd:annotation>
+			</xsd:element>
+			<xsd:element name="expTempBH" type="witsml:thermodynamicTemperatureMeasureCelsius" minOccurs="0" maxOccurs="1">
+				<!-- PROFILE: Added element expTempBH -->
+				<xsd:annotation>
+					<xsd:documentation>A bottomhole temperature that is the expected bottomhole temperature (c).</xsd:documentation>
+				</xsd:annotation>
+			</xsd:element>
+			<xsd:element name="rigType" type="witsml:rigTypes" minOccurs="0" maxOccurs="1">
+				<!-- PROFILE: Added element rigType -->
+				<xsd:annotation>
+					<xsd:documentation>A daily drilling report class that classifies rig types.</xsd:documentation>
 				</xsd:annotation>
 			</xsd:element>
@@ -1960,8 +1911,28 @@
 		<xsd:attribute name="uid" type="witsml:uidString" use="optional">
 			<xsd:annotation>
-				<xsd:documentation>The unique identifier of a container element. This attribute is generally required within the context of a WITSML server. There should be no					assumption as to the semantic content of this attribute. This should only be used with recurring container types (i.e., maxOccurs greater than one). The value is only					required to be unique within the context of the nearest recurring parent element.</xsd:documentation>
+				<xsd:documentation>The unique identifier of a container element. This attribute is generally required within the context of a WITSML server. There should be no
+            assumption as to the semantic content of this attribute. This should only be used with recurring container types (i.e., maxOccurs greater than one). The value is only
+            required to be unique within the context of the nearest recurring parent element.</xsd:documentation>
 			</xsd:annotation>
 		</xsd:attribute>
 	</xsd:complexType>
+	<!-- Rig types -->
+	<xsd:simpleType name="rigTypes">
+		<xsd:annotation>
+			<xsd:documentation>The classification of rig types.</xsd:documentation>
+		</xsd:annotation>
+		<xsd:restriction base="witsml:abstractTypeEnum">
+			<xsd:enumeration value="Fixed rig">
+				<xsd:annotation>
+					<xsd:documentation>Fixed rig</xsd:documentation>
+				</xsd:annotation>
+			</xsd:enumeration>
+			<xsd:enumeration value="Moveable rig">
+				<xsd:annotation>
+					<xsd:documentation>Moveable rig</xsd:documentation>
+				</xsd:annotation>
+			</xsd:enumeration>
+		</xsd:restriction>
+	</xsd:simpleType>
 	<xsd:complexType name="cs_drillReportStratInfo">
 		<xsd:annotation>
@@ -2316,5 +2287,4 @@
 	<!--UNUSED: Deleted type cs_extensionAny.-->
 	<!--UNUSED: Deleted type cs_extensionNameValue.-->
-	<!-- Added 07/02 - 2011 -->
 	<!-- Tubular information -->
 	<xsd:complexType name="cs_stimTubular">
@@ -2325,4 +2295,5 @@
 		<xsd:sequence minOccurs="0">
 			<xsd:element name="type" type="witsml:tubularTypes" minOccurs="0" maxOccurs="1">
+				<!-- PROFILE: Changed type from witsml:str32 to witsml:tubularTypes for element type -->
 				<xsd:annotation>
 					<xsd:documentation>The type of tubular (e.g., casing, tubing, liner, packer, open hole, other).</xsd:documentation>
@@ -2330,4 +2301,5 @@
 			</xsd:element>
 			<xsd:element name="id" type="witsml:lengthMeasureInch" minOccurs="0" maxOccurs="1">
+				<!-- PROFILE: Changed type from witsml:lengthMeasure to witsml:lengthMeasureInch for element type -->
 				<xsd:annotation>
 					<xsd:documentation>The inside diameter of the tubular used.</xsd:documentation>
@@ -2335,4 +2307,5 @@
 			</xsd:element>
 			<xsd:element name="od" type="witsml:lengthMeasureInch" minOccurs="0" maxOccurs="1">
+				<!-- PROFILE: Changed type from witsml:lengthMeasure to witsml:lengthMeasureInch for element type -->
 				<xsd:annotation>
 					<xsd:documentation>The outside diameter of the tubular used.</xsd:documentation>
@@ -2340,4 +2313,5 @@
 			</xsd:element>
 			<xsd:element name="weight" type="witsml:massPerLengthMeasurePoundsMassPerFoot" minOccurs="0" maxOccurs="1">
+				<!-- PROFILE: Changed type from witsml:massPerLengthMeasure to witsml:massPerLengthMeasurePoundsMassPerFoot for element type -->
 				<xsd:annotation>
 					<xsd:documentation>The weight per length of the tubular.</xsd:documentation>
@@ -2347,5 +2321,5 @@
 				<xsd:annotation>
 					<xsd:documentation>Nominal grade.</xsd:documentation>
-					<!-- Missing: Added element grade -->
+					<!-- PROFILE: Added element grade -->
 				</xsd:annotation>
 			</xsd:element>
@@ -2353,5 +2327,5 @@
 				<xsd:annotation>
 					<xsd:documentation>Nominal connection.</xsd:documentation>
-					<!-- Missing: Added element connection -->
+					<!-- PROFILE: Added element connection -->
 				</xsd:annotation>
 			</xsd:element>
@@ -2359,5 +2333,5 @@
 				<xsd:annotation>
 					<xsd:documentation>Length measured along string.</xsd:documentation>
-					<!-- Missing: Added element length -->
+					<!-- PROFILE: Added element length -->
 				</xsd:annotation>
 			</xsd:element>
@@ -2373,12 +2347,13 @@
 			</xsd:element>
 			<xsd:element name="casing_liner_tubing_run" type="witsml:cs_stimJobStage">
+				<!-- PROFILE: Added element casing_liner_tubing_run -->
 				<xsd:annotation>
 					<xsd:documentation>Information about a casing_liner_tubing run.</xsd:documentation>
 				</xsd:annotation>
 			</xsd:element>
-			<!-- Profile: deleted element tvdTop -->
-			<!-- Profile: deleted element tvdBottom -->
-			<!-- Profile: deleted element volumeFactor -->
-			<!-- Profile: deleted element extensionNameValue -->
+			<!-- PROFILE: deleted element tvdTop -->
+			<!-- PROFILE: deleted element tvdBottom -->
+			<!-- PROFILE: deleted element volumeFactor -->
+			<!-- PROFILE: deleted element extensionNameValue -->
 		</xsd:sequence>
 		<!-- Unused: deleted element attgrp_uid -->
@@ -2395,5 +2370,5 @@
 				</xsd:annotation>
 			</xsd:element>
-			<!-- Profile: deleted element name. -->
+			<!-- PROFILE: deleted element name. -->
 			<xsd:element name="description" type="witsml:descriptionString" minOccurs="0" maxOccurs="1">
 				<xsd:annotation>
@@ -2401,5 +2376,5 @@
 				</xsd:annotation>
 			</xsd:element>
-			<!-- Profile: deleted element number. -->
+			<!-- PROFILE: deleted element number. -->
 			<xsd:element name="dTimStart" type="witsml:timestamp" minOccurs="0" maxOccurs="1">
 				<xsd:annotation>
@@ -2407,78 +2382,78 @@
 				</xsd:annotation>
 			</xsd:element>
-			<!-- Profile: deleted element dTimEnd.-->
-			<!-- Profile: deleted element pumpTime. -->
-			<!-- Profile: deleted element startRateSurfaceLiquid. -->
-			<!-- Profile: deleted element endRateSurfaceLiquid. -->
-			<!-- Profile: deleted element avgRateSurfaceLiquid. -->
-			<!-- Profile: deleted element startRateSurfaceCO2. -->
-			<!-- Profile: deleted element endRateSurfaceCO2. -->
-			<!-- Profile: deleted element avgRateSurfaceCO2. -->
-			<!-- Profile: deleted element startStdRateSurfaceN2. -->
-			<!-- Profile: deleted element endStdRateSurfaceN2. -->
-			<!-- Profile: deleted element avgStdRateSurfaceN2. -->
-			<!-- Profile: deleted element startPresSurface. -->
-			<!-- Profile: deleted element endPresSurface. -->
-			<!-- Profile: deleted element averagePresSurface. -->
-			<!-- Profile: deleted element startPumpRateBottomhole. -->
-			<!-- Profile: deleted element endPumpRateBottomhole. -->
-			<!-- Profile: deleted element avgPumpRateBottomhole. -->
-			<!-- Profile: deleted element startPresBottomhole. -->
-			<!-- Profile: deleted element endPresBottomhole. -->
-			<!-- Profile: deleted element averagePresBottomhole. -->
-			<!-- Profile: deleted element startProppantConcSurface. -->
-			<!-- Profile: deleted element endProppantConcSurface. -->
-			<!-- Profile: deleted element avgProppantConcSurface. -->
-			<!-- Profile: deleted element startProppantConcBottomhole. -->
-			<!-- Profile: deleted element endProppantConcBottomhole. -->
-			<!-- Profile: deleted element avgProppantConcBottomhole. -->
-			<!-- Profile: deleted element startFoamRateN2. -->
-			<!-- Profile: deleted element endFoamRateN2. -->
-			<!-- Profile: deleted element startFoamRateCO2. -->
-			<!-- Profile: deleted element endFoamRateCO2. -->
-			<!-- Profile: deleted element fluidVolBase. -->
-			<!-- Profile: deleted element fluidVolSlurry. -->
-			<!-- Profile: deleted element slurryRateBegin. -->
-			<!-- Profile: deleted element slurryRateEnd. -->
-			<!-- Profile: deleted element proppantMassWellHead. -->
-			<!-- Profile: deleted element proppantMass. -->
-			<!-- Profile: deleted element maxPres. -->
-			<!-- Profile: deleted element maxSlurryRate. -->
-			<!-- Profile: deleted element maxWellheadRate. -->
-			<!-- Profile: deleted element maxN2StdRate. -->
-			<!-- Profile: deleted element maxCO2LiquidRate. -->
-			<!-- Profile: deleted element maxPropConc. -->
-			<!-- Profile: deleted element maxSlurryPropConc. -->
-			<!-- Profile: deleted element avgPropConc. -->
-			<!-- Profile: deleted element avgSlurryPropConc. -->
-			<!-- Profile: deleted element avgTemperature. -->
-			<!-- Profile: deleted element avgInternalPhaseFraction. -->
-			<!-- Profile: deleted element avgBaseFluidQuality. -->
-			<!-- Profile: deleted element avgN2BaseFluidQuality. -->
-			<!-- Profile: deleted element avgCO2BaseFluidQuality. -->
-			<!-- Profile: deleted element avgHydraulicPower. -->
-			<!-- Profile: deleted element avgBaseFluidRate. -->
-			<!-- Profile: deleted element avgSlurryRate. -->
-			<!-- Profile: deleted element avgWellheadRate. -->
-			<!-- Profile: deleted element avgN2StdRate. -->
-			<!-- Profile: deleted element avgCO2Rate. -->
-			<!-- Profile: deleted element baseFluidVol. -->
-			<!-- Profile: deleted element slurryVol. -->
-			<!-- Profile: deleted element wellheadVol. -->
-			<!-- Profile: deleted element maxPmaxPacPres. -->
-			<!-- Profile: deleted element maxPmaxWeaklinkPres. -->
-			<!-- Profile: deleted element maxGelRate. -->
-			<!-- Profile: deleted element maxOilRate. -->
-			<!-- Profile: deleted element maxAcidRate. -->
-			<!-- Profile: deleted element avgGelRate. -->
-			<!-- Profile: deleted element avgOilRate. -->
-			<!-- Profile: deleted element avgAcidRate. -->
-			<!-- Profile: deleted element gelVolume. -->
-			<!-- Profile: deleted element oilVolume. -->
-			<!-- Profile: deleted element acidVolume. -->
-			<!-- Profile: deleted element baseFluidBypassVol. -->
-			<!-- Profile: deleted element frictionFactor. -->
-			<!-- Profile: deleted element stageFluid. -->
-			<!-- Profile: deleted element extensionNameValue. -->
+			<!-- PROFILE: deleted element dTimEnd.-->
+			<!-- PROFILE: deleted element pumpTime. -->
+			<!-- PROFILE: deleted element startRateSurfaceLiquid. -->
+			<!-- PROFILE: deleted element endRateSurfaceLiquid. -->
+			<!-- PROFILE: deleted element avgRateSurfaceLiquid. -->
+			<!-- PROFILE: deleted element startRateSurfaceCO2. -->
+			<!-- PROFILE: deleted element endRateSurfaceCO2. -->
+			<!-- PROFILE: deleted element avgRateSurfaceCO2. -->
+			<!-- PROFILE: deleted element startStdRateSurfaceN2. -->
+			<!-- PROFILE: deleted element endStdRateSurfaceN2. -->
+			<!-- PROFILE: deleted element avgStdRateSurfaceN2. -->
+			<!-- PROFILE: deleted element startPresSurface. -->
+			<!-- PROFILE: deleted element endPresSurface. -->
+			<!-- PROFILE: deleted element averagePresSurface. -->
+			<!-- PROFILE: deleted element startPumpRateBottomhole. -->
+			<!-- PROFILE: deleted element endPumpRateBottomhole. -->
+			<!-- PROFILE: deleted element avgPumpRateBottomhole. -->
+			<!-- PROFILE: deleted element startPresBottomhole. -->
+			<!-- PROFILE: deleted element endPresBottomhole. -->
+			<!-- PROFILE: deleted element averagePresBottomhole. -->
+			<!-- PROFILE: deleted element startProppantConcSurface. -->
+			<!-- PROFILE: deleted element endProppantConcSurface. -->
+			<!-- PROFILE: deleted element avgProppantConcSurface. -->
+			<!-- PROFILE: deleted element startProppantConcBottomhole. -->
+			<!-- PROFILE: deleted element endProppantConcBottomhole. -->
+			<!-- PROFILE: deleted element avgProppantConcBottomhole. -->
+			<!-- PROFILE: deleted element startFoamRateN2. -->
+			<!-- PROFILE: deleted element endFoamRateN2. -->
+			<!-- PROFILE: deleted element startFoamRateCO2. -->
+			<!-- PROFILE: deleted element endFoamRateCO2. -->
+			<!-- PROFILE: deleted element fluidVolBase. -->
+			<!-- PROFILE: deleted element fluidVolSlurry. -->
+			<!-- PROFILE: deleted element slurryRateBegin. -->
+			<!-- PROFILE: deleted element slurryRateEnd. -->
+			<!-- PROFILE: deleted element proppantMassWellHead. -->
+			<!-- PROFILE: deleted element proppantMass. -->
+			<!-- PROFILE: deleted element maxPres. -->
+			<!-- PROFILE: deleted element maxSlurryRate. -->
+			<!-- PROFILE: deleted element maxWellheadRate. -->
+			<!-- PROFILE: deleted element maxN2StdRate. -->
+			<!-- PROFILE: deleted element maxCO2LiquidRate. -->
+			<!-- PROFILE: deleted element maxPropConc. -->
+			<!-- PROFILE: deleted element maxSlurryPropConc. -->
+			<!-- PROFILE: deleted element avgPropConc. -->
+			<!-- PROFILE: deleted element avgSlurryPropConc. -->
+			<!-- PROFILE: deleted element avgTemperature. -->
+			<!-- PROFILE: deleted element avgInternalPhaseFraction. -->
+			<!-- PROFILE: deleted element avgBaseFluidQuality. -->
+			<!-- PROFILE: deleted element avgN2BaseFluidQuality. -->
+			<!-- PROFILE: deleted element avgCO2BaseFluidQuality. -->
+			<!-- PROFILE: deleted element avgHydraulicPower. -->
+			<!-- PROFILE: deleted element avgBaseFluidRate. -->
+			<!-- PROFILE: deleted element avgSlurryRate. -->
+			<!-- PROFILE: deleted element avgWellheadRate. -->
+			<!-- PROFILE: deleted element avgN2StdRate. -->
+			<!-- PROFILE: deleted element avgCO2Rate. -->
+			<!-- PROFILE: deleted element baseFluidVol. -->
+			<!-- PROFILE: deleted element slurryVol. -->
+			<!-- PROFILE: deleted element wellheadVol. -->
+			<!-- PROFILE: deleted element maxPmaxPacPres. -->
+			<!-- PROFILE: deleted element maxPmaxWeaklinkPres. -->
+			<!-- PROFILE: deleted element maxGelRate. -->
+			<!-- PROFILE: deleted element maxOilRate. -->
+			<!-- PROFILE: deleted element maxAcidRate. -->
+			<!-- PROFILE: deleted element avgGelRate. -->
+			<!-- PROFILE: deleted element avgOilRate. -->
+			<!-- PROFILE: deleted element avgAcidRate. -->
+			<!-- PROFILE: deleted element gelVolume. -->
+			<!-- PROFILE: deleted element oilVolume. -->
+			<!-- PROFILE: deleted element acidVolume. -->
+			<!-- PROFILE: deleted element baseFluidBypassVol. -->
+			<!-- PROFILE: deleted element frictionFactor. -->
+			<!-- PROFILE: deleted element stageFluid. -->
+			<!-- PROFILE: deleted element extensionNameValue. -->
 		</xsd:sequence>
 		<!-- Unused: deleted element attgrp_uid -->
@@ -2530,5 +2505,4 @@
 		</xsd:restriction>
 	</xsd:simpleType>
-	<!-- END Added 07/02 - 2011 -->
 	<xsd:complexType name="cs_fluid">
 		<xsd:annotation>
@@ -3462,11 +3436,4 @@
 					</xsd:annotation>
 				</xsd:element>
-				<!-- Added 22feb2011 -->
-				<xsd:element name="header" type="witsml:reportHeader" minOccurs="0" maxOccurs="1">
-					<xsd:annotation>
-						<xsd:documentation>Information about this report.</xsd:documentation>
-					</xsd:annotation>
-				</xsd:element>
-				<!-- END Added 22feb2011 -->
 				<xsd:element name="wellCRS" type="witsml:cs_wellCRS" minOccurs="0" maxOccurs="unbounded">
 					<xsd:annotation>
@@ -3495,5 +3462,5 @@
 				<xsd:element name="casing_liner_tubing" type="witsml:cs_stimTubular" minOccurs="0" maxOccurs="unbounded">
 					<xsd:annotation>
-						<xsd:documentation>Information about a bit run.</xsd:documentation>
+						<xsd:documentation>Information about a casing/liner/tubing run.</xsd:documentation>
 					</xsd:annotation>
 				</xsd:element>
@@ -5566,5 +5533,4 @@
 	</xsd:complexType>
 	<!--UNUSED: Deleted type thermodynamicTemperatureMeasure.-->
-	<!-- Added 07/02 - 2011 -->
 	<xsd:simpleType name="specificVolumeUomCubicFeetPer94PoundSack">
 		<xsd:restriction base="witsml:abstractUomEnum">
@@ -5596,5 +5562,4 @@
 		</xsd:restriction>
 	</xsd:simpleType>
-	<!-- END Added 07/02 - 2011 -->
 	<xsd:complexType name="timeMeasure">
 		<xsd:simpleContent>
@@ -5611,5 +5576,4 @@
 	<!--UNUSED: Deleted type volumeMeasure.-->
 	<!--UNUSED: Deleted type volumeFlowRateMeasure.-->
-	<!-- Added 07/02 - 2011 -->
 	<xsd:complexType name="volumeFlowRateMeasureCubicMeterPerMin">
 		<xsd:simpleContent>
@@ -5646,5 +5610,4 @@
 		</xsd:simpleContent>
 	</xsd:complexType>
-	<!-- END Added 07/02 - 2011 -->
 	<xsd:complexType name="volumePerVolumeMeasure">
 		<xsd:simpleContent>
@@ -5700,5 +5663,4 @@
 	<!--UNUSED: Deleted type AnglePerLengthUom.-->
 	<!--UNUSED: Deleted type AnglePerTimeUom.-->
-	<!-- Added 22/02 - 2011 -->
 	<xsd:simpleType name="areaUom">
 		<xsd:restriction base="witsml:abstractUomEnum">
@@ -5706,7 +5668,5 @@
 		</xsd:restriction>
 	</xsd:simpleType>
-	<!-- END Added 22/02 - 2011 -->
 	<!--UNUSED: Deleted type AreaPerAreaUom.-->
-	<!-- Added 07/02 - 2011 -->
 	<xsd:simpleType name="anglePerTimeUomRpm">
 		<xsd:restriction base="witsml:abstractUomEnum">
@@ -5733,5 +5693,4 @@
 		</xsd:simpleContent>
 	</xsd:complexType>
-	<!-- END Added 07/02 - 2011 -->
 	<xsd:simpleType name="DensityUom">
 		<xsd:annotation>
@@ -5869,5 +5828,4 @@
 	<!--UNUSED: Deleted type MomentOfForceUom.-->
 	<!--UNUSED: Deleted type PerLengthUom.-->
-	<!-- Added 07/02 - 2011 -->
 	<xsd:simpleType name="massPerLengthUom">
 		<xsd:restriction base="witsml:abstractUomEnum">
@@ -5932,5 +5890,4 @@
 		</xsd:restriction>
 	</xsd:simpleType>
-	<!-- END Added 07/02 - 2011 -->
 	<xsd:simpleType name="PlaneAngleUom">
 		<xsd:annotation>
